Intel® X86 Encoder Decoder: Intel® XED enumerations

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
Intel® XED enumerations

## Functions
XED_DLL_EXPORT xed_address_width_enum_t | str2xed_address_width_enum_t (const char *s)
| This converts strings to xed_address_width_enum_t types.
XED_DLL_EXPORT xed_attribute_enum_t | str2xed_attribute_enum_t (const char *s)
| This converts strings to xed_attribute_enum_t types.
XED_DLL_EXPORT xed_category_enum_t | str2xed_category_enum_t (const char *s)
| This converts strings to xed_category_enum_t types.
XED_DLL_EXPORT xed_chip_enum_t | str2xed_chip_enum_t (const char *s)
| This converts strings to xed_chip_enum_t types.
XED_DLL_EXPORT xed_cpuid_group_enum_t | str2xed_cpuid_group_enum_t (const char *s)
| This converts strings to xed_cpuid_group_enum_t types.
XED_DLL_EXPORT xed_cpuid_rec_enum_t | str2xed_cpuid_rec_enum_t (const char *s)
| This converts strings to xed_cpuid_rec_enum_t types.
XED_DLL_EXPORT xed_error_enum_t | str2xed_error_enum_t (const char *s)
| This converts strings to xed_error_enum_t types.
XED_DLL_EXPORT xed_exception_enum_t | str2xed_exception_enum_t (const char *s)
| This converts strings to xed_exception_enum_t types.
XED_DLL_EXPORT xed_extension_enum_t | str2xed_extension_enum_t (const char *s)
| This converts strings to xed_extension_enum_t types.
XED_DLL_EXPORT xed_flag_action_enum_t | str2xed_flag_action_enum_t (const char *s)
| This converts strings to xed_flag_action_enum_t types.
XED_DLL_EXPORT xed_flag_enum_t | str2xed_flag_enum_t (const char *s)
| This converts strings to xed_flag_enum_t types.
XED_DLL_EXPORT xed_iclass_enum_t | str2xed_iclass_enum_t (const char *s)
| This converts strings to xed_iclass_enum_t types.
XED_DLL_EXPORT xed_iform_enum_t | str2xed_iform_enum_t (const char *s)
| This converts strings to xed_iform_enum_t types.
XED_DLL_EXPORT xed_ild_map_enum_t | str2xed_ild_map_enum_t (const char *s)
| This converts strings to xed_ild_map_enum_t types.
XED_DLL_EXPORT xed_isa_set_enum_t | str2xed_isa_set_enum_t (const char *s)
| This converts strings to xed_isa_set_enum_t types.
XED_DLL_EXPORT xed_machine_mode_enum_t | str2xed_machine_mode_enum_t (const char *s)
| This converts strings to xed_machine_mode_enum_t types.
XED_DLL_EXPORT xed_mapu_enum_t | str2xed_mapu_enum_t (const char *s)
| This converts strings to xed_mapu_enum_t types.
XED_DLL_EXPORT xed_nonterminal_enum_t | str2xed_nonterminal_enum_t (const char *s)
| This converts strings to xed_nonterminal_enum_t types.
XED_DLL_EXPORT xed_operand_action_enum_t | str2xed_operand_action_enum_t (const char *s)
| This converts strings to xed_operand_action_enum_t types.
XED_DLL_EXPORT xed_operand_convert_enum_t | str2xed_operand_convert_enum_t (const char *s)
| This converts strings to xed_operand_convert_enum_t types.
XED_DLL_EXPORT xed_operand_ctype_enum_t | str2xed_operand_ctype_enum_t (const char *s)
| This converts strings to xed_operand_ctype_enum_t types.
XED_DLL_EXPORT xed_operand_element_type_enum_t | str2xed_operand_element_type_enum_t (const char *s)
| This converts strings to xed_operand_element_type_enum_t types.
XED_DLL_EXPORT xed_operand_element_xtype_enum_t | str2xed_operand_element_xtype_enum_t (const char *s)
| This converts strings to xed_operand_element_xtype_enum_t types.
XED_DLL_EXPORT xed_operand_enum_t | str2xed_operand_enum_t (const char *s)
| This converts strings to xed_operand_enum_t types.
XED_DLL_EXPORT xed_operand_type_enum_t | str2xed_operand_type_enum_t (const char *s)
| This converts strings to xed_operand_type_enum_t types.
XED_DLL_EXPORT xed_operand_visibility_enum_t | str2xed_operand_visibility_enum_t (const char *s)
| This converts strings to xed_operand_visibility_enum_t types.
XED_DLL_EXPORT xed_operand_width_enum_t | str2xed_operand_width_enum_t (const char *s)
| This converts strings to xed_operand_width_enum_t types.
XED_DLL_EXPORT xed_reg_class_enum_t | str2xed_reg_class_enum_t (const char *s)
| This converts strings to xed_reg_class_enum_t types.
XED_DLL_EXPORT xed_reg_enum_t | str2xed_reg_enum_t (const char *s)
| This converts strings to xed_reg_enum_t types.
XED_DLL_EXPORT xed_reg_role_enum_t | str2xed_reg_role_enum_t (const char *s)
| This converts strings to xed_reg_role_enum_t types.
XED_DLL_EXPORT xed_syntax_enum_t | str2xed_syntax_enum_t (const char *s)
| This converts strings to xed_syntax_enum_t types.
XED_DLL_EXPORT const char * | xed_address_width_enum_t2str (const xed_address_width_enum_t p)
| This converts strings to xed_address_width_enum_t types.
XED_DLL_EXPORT xed_address_width_enum_t | xed_address_width_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_attribute_enum_t2str (const xed_attribute_enum_t p)
| This converts strings to xed_attribute_enum_t types.
XED_DLL_EXPORT xed_attribute_enum_t | xed_attribute_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_category_enum_t2str (const xed_category_enum_t p)
| This converts strings to xed_category_enum_t types.
XED_DLL_EXPORT xed_category_enum_t | xed_category_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_chip_enum_t2str (const xed_chip_enum_t p)
| This converts strings to xed_chip_enum_t types.
XED_DLL_EXPORT xed_chip_enum_t | xed_chip_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_cpuid_group_enum_t2str (const xed_cpuid_group_enum_t p)
| This converts strings to xed_cpuid_group_enum_t types.
XED_DLL_EXPORT xed_cpuid_group_enum_t | xed_cpuid_group_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_cpuid_rec_enum_t2str (const xed_cpuid_rec_enum_t p)
| This converts strings to xed_cpuid_rec_enum_t types.
XED_DLL_EXPORT xed_cpuid_rec_enum_t | xed_cpuid_rec_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_error_enum_t2str (const xed_error_enum_t p)
| This converts strings to xed_error_enum_t types.
XED_DLL_EXPORT xed_error_enum_t | xed_error_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_exception_enum_t2str (const xed_exception_enum_t p)
| This converts strings to xed_exception_enum_t types.
XED_DLL_EXPORT xed_exception_enum_t | xed_exception_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_extension_enum_t2str (const xed_extension_enum_t p)
| This converts strings to xed_extension_enum_t types.
XED_DLL_EXPORT xed_extension_enum_t | xed_extension_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_flag_action_enum_t2str (const xed_flag_action_enum_t p)
| This converts strings to xed_flag_action_enum_t types.
XED_DLL_EXPORT xed_flag_action_enum_t | xed_flag_action_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_flag_enum_t2str (const xed_flag_enum_t p)
| This converts strings to xed_flag_enum_t types.
XED_DLL_EXPORT xed_flag_enum_t | xed_flag_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_iclass_enum_t2str (const xed_iclass_enum_t p)
| This converts strings to xed_iclass_enum_t types.
XED_DLL_EXPORT xed_iclass_enum_t | xed_iclass_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_iform_enum_t2str (const xed_iform_enum_t p)
| This converts strings to xed_iform_enum_t types.
XED_DLL_EXPORT xed_iform_enum_t | xed_iform_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT xed_iformfl_enum_t | xed_iformfl_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_ild_map_enum_t2str (const xed_ild_map_enum_t p)
| This converts strings to xed_ild_map_enum_t types.
XED_DLL_EXPORT xed_ild_map_enum_t | xed_ild_map_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_isa_set_enum_t2str (const xed_isa_set_enum_t p)
| This converts strings to xed_isa_set_enum_t types.
XED_DLL_EXPORT xed_isa_set_enum_t | xed_isa_set_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_machine_mode_enum_t2str (const xed_machine_mode_enum_t p)
| This converts strings to xed_machine_mode_enum_t types.
XED_DLL_EXPORT xed_machine_mode_enum_t | xed_machine_mode_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_mapu_enum_t2str (const xed_mapu_enum_t p)
| This converts strings to xed_mapu_enum_t types.
XED_DLL_EXPORT xed_mapu_enum_t | xed_mapu_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_nonterminal_enum_t2str (const xed_nonterminal_enum_t p)
| This converts strings to xed_nonterminal_enum_t types.
XED_DLL_EXPORT xed_nonterminal_enum_t | xed_nonterminal_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_operand_action_enum_t2str (const xed_operand_action_enum_t p)
| This converts strings to xed_operand_action_enum_t types.
XED_DLL_EXPORT xed_operand_action_enum_t | xed_operand_action_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_operand_convert_enum_t2str (const xed_operand_convert_enum_t p)
| This converts strings to xed_operand_convert_enum_t types.
XED_DLL_EXPORT xed_operand_convert_enum_t | xed_operand_convert_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_operand_ctype_enum_t2str (const xed_operand_ctype_enum_t p)
| This converts strings to xed_operand_ctype_enum_t types.
XED_DLL_EXPORT xed_operand_ctype_enum_t | xed_operand_ctype_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_operand_element_type_enum_t2str (const xed_operand_element_type_enum_t p)
| This converts strings to xed_operand_element_type_enum_t types.
XED_DLL_EXPORT xed_operand_element_type_enum_t | xed_operand_element_type_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_operand_element_xtype_enum_t2str (const xed_operand_element_xtype_enum_t p)
| This converts strings to xed_operand_element_xtype_enum_t types.
XED_DLL_EXPORT xed_operand_element_xtype_enum_t | xed_operand_element_xtype_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_operand_enum_t2str (const xed_operand_enum_t p)
| This converts strings to xed_operand_enum_t types.
XED_DLL_EXPORT xed_operand_enum_t | xed_operand_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_operand_type_enum_t2str (const xed_operand_type_enum_t p)
| This converts strings to xed_operand_type_enum_t types.
XED_DLL_EXPORT xed_operand_type_enum_t | xed_operand_type_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_operand_visibility_enum_t2str (const xed_operand_visibility_enum_t p)
| This converts strings to xed_operand_visibility_enum_t types.
XED_DLL_EXPORT xed_operand_visibility_enum_t | xed_operand_visibility_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_operand_width_enum_t2str (const xed_operand_width_enum_t p)
| This converts strings to xed_operand_width_enum_t types.
XED_DLL_EXPORT xed_operand_width_enum_t | xed_operand_width_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_reg_class_enum_t2str (const xed_reg_class_enum_t p)
| This converts strings to xed_reg_class_enum_t types.
XED_DLL_EXPORT xed_reg_class_enum_t | xed_reg_class_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_reg_enum_t2str (const xed_reg_enum_t p)
| This converts strings to xed_reg_enum_t types.
XED_DLL_EXPORT xed_reg_enum_t | xed_reg_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_reg_role_enum_t2str (const xed_reg_role_enum_t p)
| This converts strings to xed_reg_role_enum_t types.
XED_DLL_EXPORT xed_reg_role_enum_t | xed_reg_role_enum_t_last (void)
| Returns the last element of the enumeration.
XED_DLL_EXPORT const char * | xed_syntax_enum_t2str (const xed_syntax_enum_t p)
| This converts strings to xed_syntax_enum_t types.
XED_DLL_EXPORT xed_syntax_enum_t | xed_syntax_enum_t_last (void)
| Returns the last element of the enumeration.

## Detailed Description

Almost all the enumerations in Intel® XED are automatically generated and have conversion functions to and from strings. There is also a function for finding out what the last element of the enumeration is.

## Function Documentation

## ◆ str2xed_address_width_enum_t()

XED_DLL_EXPORT xed_address_width_enum_t str2xed_address_width_enum_t | ( | const char * | s | ) |

This converts strings to xed_address_width_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_address_width_enum_t

## ◆ str2xed_attribute_enum_t()

XED_DLL_EXPORT xed_attribute_enum_t str2xed_attribute_enum_t | ( | const char * | s | ) |

This converts strings to xed_attribute_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_attribute_enum_t

## ◆ str2xed_category_enum_t()

XED_DLL_EXPORT xed_category_enum_t str2xed_category_enum_t | ( | const char * | s | ) |

This converts strings to xed_category_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_category_enum_t

## ◆ str2xed_chip_enum_t()

XED_DLL_EXPORT xed_chip_enum_t str2xed_chip_enum_t | ( | const char * | s | ) |

This converts strings to xed_chip_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_chip_enum_t

## ◆ str2xed_cpuid_group_enum_t()

XED_DLL_EXPORT xed_cpuid_group_enum_t str2xed_cpuid_group_enum_t | ( | const char * | s | ) |

This converts strings to xed_cpuid_group_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_cpuid_group_enum_t

## ◆ str2xed_cpuid_rec_enum_t()

XED_DLL_EXPORT xed_cpuid_rec_enum_t str2xed_cpuid_rec_enum_t | ( | const char * | s | ) |

This converts strings to xed_cpuid_rec_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_cpuid_rec_enum_t

## ◆ str2xed_error_enum_t()

XED_DLL_EXPORT xed_error_enum_t str2xed_error_enum_t | ( | const char * | s | ) |

This converts strings to xed_error_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_error_enum_t

## ◆ str2xed_exception_enum_t()

XED_DLL_EXPORT xed_exception_enum_t str2xed_exception_enum_t | ( | const char * | s | ) |

This converts strings to xed_exception_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_exception_enum_t

## ◆ str2xed_extension_enum_t()

XED_DLL_EXPORT xed_extension_enum_t str2xed_extension_enum_t | ( | const char * | s | ) |

This converts strings to xed_extension_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_extension_enum_t

## ◆ str2xed_flag_action_enum_t()

XED_DLL_EXPORT xed_flag_action_enum_t str2xed_flag_action_enum_t | ( | const char * | s | ) |

This converts strings to xed_flag_action_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_flag_action_enum_t

## ◆ str2xed_flag_enum_t()

XED_DLL_EXPORT xed_flag_enum_t str2xed_flag_enum_t | ( | const char * | s | ) |

This converts strings to xed_flag_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_flag_enum_t

## ◆ str2xed_iclass_enum_t()

XED_DLL_EXPORT xed_iclass_enum_t str2xed_iclass_enum_t | ( | const char * | s | ) |

This converts strings to xed_iclass_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_iclass_enum_t

## ◆ str2xed_iform_enum_t()

XED_DLL_EXPORT xed_iform_enum_t str2xed_iform_enum_t | ( | const char * | s | ) |

This converts strings to xed_iform_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_iform_enum_t

## ◆ str2xed_ild_map_enum_t()

XED_DLL_EXPORT xed_ild_map_enum_t str2xed_ild_map_enum_t | ( | const char * | s | ) |

This converts strings to xed_ild_map_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_ild_map_enum_t

## ◆ str2xed_isa_set_enum_t()

XED_DLL_EXPORT xed_isa_set_enum_t str2xed_isa_set_enum_t | ( | const char * | s | ) |

This converts strings to xed_isa_set_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_isa_set_enum_t

## ◆ str2xed_machine_mode_enum_t()

XED_DLL_EXPORT xed_machine_mode_enum_t str2xed_machine_mode_enum_t | ( | const char * | s | ) |

This converts strings to xed_machine_mode_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_machine_mode_enum_t

## ◆ str2xed_mapu_enum_t()

XED_DLL_EXPORT xed_mapu_enum_t str2xed_mapu_enum_t | ( | const char * | s | ) |

This converts strings to xed_mapu_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_mapu_enum_t

## ◆ str2xed_nonterminal_enum_t()

XED_DLL_EXPORT xed_nonterminal_enum_t str2xed_nonterminal_enum_t | ( | const char * | s | ) |

This converts strings to xed_nonterminal_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_nonterminal_enum_t

## ◆ str2xed_operand_action_enum_t()

XED_DLL_EXPORT xed_operand_action_enum_t str2xed_operand_action_enum_t | ( | const char * | s | ) |

This converts strings to xed_operand_action_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_operand_action_enum_t

## ◆ str2xed_operand_convert_enum_t()

XED_DLL_EXPORT xed_operand_convert_enum_t str2xed_operand_convert_enum_t | ( | const char * | s | ) |

This converts strings to xed_operand_convert_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_operand_convert_enum_t

## ◆ str2xed_operand_ctype_enum_t()

XED_DLL_EXPORT xed_operand_ctype_enum_t str2xed_operand_ctype_enum_t | ( | const char * | s | ) |

This converts strings to xed_operand_ctype_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_operand_ctype_enum_t

## ◆ str2xed_operand_element_type_enum_t()

XED_DLL_EXPORT xed_operand_element_type_enum_t str2xed_operand_element_type_enum_t | ( | const char * | s | ) |

This converts strings to xed_operand_element_type_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_operand_element_type_enum_t

## ◆ str2xed_operand_element_xtype_enum_t()

XED_DLL_EXPORT xed_operand_element_xtype_enum_t str2xed_operand_element_xtype_enum_t | ( | const char * | s | ) |

This converts strings to xed_operand_element_xtype_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_operand_element_xtype_enum_t

## ◆ str2xed_operand_enum_t()

XED_DLL_EXPORT xed_operand_enum_t str2xed_operand_enum_t | ( | const char * | s | ) |

This converts strings to xed_operand_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_operand_enum_t

## ◆ str2xed_operand_type_enum_t()

XED_DLL_EXPORT xed_operand_type_enum_t str2xed_operand_type_enum_t | ( | const char * | s | ) |

This converts strings to xed_operand_type_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_operand_type_enum_t

## ◆ str2xed_operand_visibility_enum_t()

XED_DLL_EXPORT xed_operand_visibility_enum_t str2xed_operand_visibility_enum_t | ( | const char * | s | ) |

This converts strings to xed_operand_visibility_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_operand_visibility_enum_t

## ◆ str2xed_operand_width_enum_t()

XED_DLL_EXPORT xed_operand_width_enum_t str2xed_operand_width_enum_t | ( | const char * | s | ) |

This converts strings to xed_operand_width_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_operand_width_enum_t

## ◆ str2xed_reg_class_enum_t()

XED_DLL_EXPORT xed_reg_class_enum_t str2xed_reg_class_enum_t | ( | const char * | s | ) |

This converts strings to xed_reg_class_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_reg_class_enum_t

## ◆ str2xed_reg_enum_t()

XED_DLL_EXPORT xed_reg_enum_t str2xed_reg_enum_t | ( | const char * | s | ) |

This converts strings to xed_reg_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_reg_enum_t

## ◆ str2xed_reg_role_enum_t()

XED_DLL_EXPORT xed_reg_role_enum_t str2xed_reg_role_enum_t | ( | const char * | s | ) |

This converts strings to xed_reg_role_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_reg_role_enum_t

## ◆ str2xed_syntax_enum_t()

XED_DLL_EXPORT xed_syntax_enum_t str2xed_syntax_enum_t | ( | const char * | s | ) |

This converts strings to xed_syntax_enum_t types.

Parameters

  s | A C-string.

Returns
  xed_syntax_enum_t

## ◆ xed_address_width_enum_t2str()

XED_DLL_EXPORT const char * xed_address_width_enum_t2str | ( | const xed_address_width_enum_t | p | ) |

This converts strings to xed_address_width_enum_t types.

Parameters

  p | An enumeration element of type xed_address_width_enum_t.

Returns
  string

## ◆ xed_address_width_enum_t_last()

XED_DLL_EXPORT xed_address_width_enum_t xed_address_width_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_address_width_enum_t The last element of the enumeration.

## ◆ xed_attribute_enum_t2str()

XED_DLL_EXPORT const char * xed_attribute_enum_t2str | ( | const xed_attribute_enum_t | p | ) |

This converts strings to xed_attribute_enum_t types.

Parameters

  p | An enumeration element of type xed_attribute_enum_t.

Returns
  string

## ◆ xed_attribute_enum_t_last()

XED_DLL_EXPORT xed_attribute_enum_t xed_attribute_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_attribute_enum_t The last element of the enumeration.

## ◆ xed_category_enum_t2str()

XED_DLL_EXPORT const char * xed_category_enum_t2str | ( | const xed_category_enum_t | p | ) |

This converts strings to xed_category_enum_t types.

Parameters

  p | An enumeration element of type xed_category_enum_t.

Returns
  string

## ◆ xed_category_enum_t_last()

XED_DLL_EXPORT xed_category_enum_t xed_category_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_category_enum_t The last element of the enumeration.

## ◆ xed_chip_enum_t2str()

XED_DLL_EXPORT const char * xed_chip_enum_t2str | ( | const xed_chip_enum_t | p | ) |

This converts strings to xed_chip_enum_t types.

Parameters

  p | An enumeration element of type xed_chip_enum_t.

Returns
  string

## ◆ xed_chip_enum_t_last()

XED_DLL_EXPORT xed_chip_enum_t xed_chip_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_chip_enum_t The last element of the enumeration.

## ◆ xed_cpuid_group_enum_t2str()

XED_DLL_EXPORT const char * xed_cpuid_group_enum_t2str | ( | const xed_cpuid_group_enum_t | p | ) |

This converts strings to xed_cpuid_group_enum_t types.

Parameters

  p | An enumeration element of type xed_cpuid_group_enum_t.

Returns
  string

## ◆ xed_cpuid_group_enum_t_last()

XED_DLL_EXPORT xed_cpuid_group_enum_t xed_cpuid_group_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_cpuid_group_enum_t The last element of the enumeration.

## ◆ xed_cpuid_rec_enum_t2str()

XED_DLL_EXPORT const char * xed_cpuid_rec_enum_t2str | ( | const xed_cpuid_rec_enum_t | p | ) |

This converts strings to xed_cpuid_rec_enum_t types.

Parameters

  p | An enumeration element of type xed_cpuid_rec_enum_t.

Returns
  string

## ◆ xed_cpuid_rec_enum_t_last()

XED_DLL_EXPORT xed_cpuid_rec_enum_t xed_cpuid_rec_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_cpuid_rec_enum_t The last element of the enumeration.

## ◆ xed_error_enum_t2str()

XED_DLL_EXPORT const char * xed_error_enum_t2str | ( | const xed_error_enum_t | p | ) |

This converts strings to xed_error_enum_t types.

Parameters

  p | An enumeration element of type xed_error_enum_t.

Returns
  string

## ◆ xed_error_enum_t_last()

XED_DLL_EXPORT xed_error_enum_t xed_error_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_error_enum_t The last element of the enumeration.

## ◆ xed_exception_enum_t2str()

XED_DLL_EXPORT const char * xed_exception_enum_t2str | ( | const xed_exception_enum_t | p | ) |

This converts strings to xed_exception_enum_t types.

Parameters

  p | An enumeration element of type xed_exception_enum_t.

Returns
  string

## ◆ xed_exception_enum_t_last()

XED_DLL_EXPORT xed_exception_enum_t xed_exception_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_exception_enum_t The last element of the enumeration.

## ◆ xed_extension_enum_t2str()

XED_DLL_EXPORT const char * xed_extension_enum_t2str | ( | const xed_extension_enum_t | p | ) |

This converts strings to xed_extension_enum_t types.

Parameters

  p | An enumeration element of type xed_extension_enum_t.

Returns
  string

## ◆ xed_extension_enum_t_last()

XED_DLL_EXPORT xed_extension_enum_t xed_extension_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_extension_enum_t The last element of the enumeration.

## ◆ xed_flag_action_enum_t2str()

XED_DLL_EXPORT const char * xed_flag_action_enum_t2str | ( | const xed_flag_action_enum_t | p | ) |

This converts strings to xed_flag_action_enum_t types.

Parameters

  p | An enumeration element of type xed_flag_action_enum_t.

Returns
  string

## ◆ xed_flag_action_enum_t_last()

XED_DLL_EXPORT xed_flag_action_enum_t xed_flag_action_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_flag_action_enum_t The last element of the enumeration.

## ◆ xed_flag_enum_t2str()

XED_DLL_EXPORT const char * xed_flag_enum_t2str | ( | const xed_flag_enum_t | p | ) |

This converts strings to xed_flag_enum_t types.

Parameters

  p | An enumeration element of type xed_flag_enum_t.

Returns
  string

## ◆ xed_flag_enum_t_last()

XED_DLL_EXPORT xed_flag_enum_t xed_flag_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_flag_enum_t The last element of the enumeration.

## ◆ xed_iclass_enum_t2str()

XED_DLL_EXPORT const char * xed_iclass_enum_t2str | ( | const xed_iclass_enum_t | p | ) |

This converts strings to xed_iclass_enum_t types.

Parameters

  p | An enumeration element of type xed_iclass_enum_t.

Returns
  string

## ◆ xed_iclass_enum_t_last()

XED_DLL_EXPORT xed_iclass_enum_t xed_iclass_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_iclass_enum_t The last element of the enumeration.

## ◆ xed_iform_enum_t2str()

XED_DLL_EXPORT const char * xed_iform_enum_t2str | ( | const xed_iform_enum_t | p | ) |

This converts strings to xed_iform_enum_t types.

Parameters

  p | An enumeration element of type xed_iform_enum_t.

Returns
  string

## ◆ xed_iform_enum_t_last()

XED_DLL_EXPORT xed_iform_enum_t xed_iform_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_iform_enum_t The last element of the enumeration.

## ◆ xed_iformfl_enum_t_last()

XED_DLL_EXPORT xed_iformfl_enum_t xed_iformfl_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_iformfl_enum_t The last element of the enumeration.

## ◆ xed_ild_map_enum_t2str()

XED_DLL_EXPORT const char * xed_ild_map_enum_t2str | ( | const xed_ild_map_enum_t | p | ) |

This converts strings to xed_ild_map_enum_t types.

Parameters

  p | An enumeration element of type xed_ild_map_enum_t.

Returns
  string

## ◆ xed_ild_map_enum_t_last()

XED_DLL_EXPORT xed_ild_map_enum_t xed_ild_map_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_ild_map_enum_t The last element of the enumeration.

## ◆ xed_isa_set_enum_t2str()

XED_DLL_EXPORT const char * xed_isa_set_enum_t2str | ( | const xed_isa_set_enum_t | p | ) |

This converts strings to xed_isa_set_enum_t types.

Parameters

  p | An enumeration element of type xed_isa_set_enum_t.

Returns
  string

## ◆ xed_isa_set_enum_t_last()

XED_DLL_EXPORT xed_isa_set_enum_t xed_isa_set_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_isa_set_enum_t The last element of the enumeration.

## ◆ xed_machine_mode_enum_t2str()

XED_DLL_EXPORT const char * xed_machine_mode_enum_t2str | ( | const xed_machine_mode_enum_t | p | ) |

This converts strings to xed_machine_mode_enum_t types.

Parameters

  p | An enumeration element of type xed_machine_mode_enum_t.

Returns
  string

## ◆ xed_machine_mode_enum_t_last()

XED_DLL_EXPORT xed_machine_mode_enum_t xed_machine_mode_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_machine_mode_enum_t The last element of the enumeration.

## ◆ xed_mapu_enum_t2str()

XED_DLL_EXPORT const char * xed_mapu_enum_t2str | ( | const xed_mapu_enum_t | p | ) |

This converts strings to xed_mapu_enum_t types.

Parameters

  p | An enumeration element of type xed_mapu_enum_t.

Returns
  string

## ◆ xed_mapu_enum_t_last()

XED_DLL_EXPORT xed_mapu_enum_t xed_mapu_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_mapu_enum_t The last element of the enumeration.

## ◆ xed_nonterminal_enum_t2str()

XED_DLL_EXPORT const char * xed_nonterminal_enum_t2str | ( | const xed_nonterminal_enum_t | p | ) |

This converts strings to xed_nonterminal_enum_t types.

Parameters

  p | An enumeration element of type xed_nonterminal_enum_t.

Returns
  string

## ◆ xed_nonterminal_enum_t_last()

XED_DLL_EXPORT xed_nonterminal_enum_t xed_nonterminal_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_nonterminal_enum_t The last element of the enumeration.

## ◆ xed_operand_action_enum_t2str()

XED_DLL_EXPORT const char * xed_operand_action_enum_t2str | ( | const xed_operand_action_enum_t | p | ) |

This converts strings to xed_operand_action_enum_t types.

Parameters

  p | An enumeration element of type xed_operand_action_enum_t.

Returns
  string

## ◆ xed_operand_action_enum_t_last()

XED_DLL_EXPORT xed_operand_action_enum_t xed_operand_action_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_operand_action_enum_t The last element of the enumeration.

## ◆ xed_operand_convert_enum_t2str()

XED_DLL_EXPORT const char * xed_operand_convert_enum_t2str | ( | const xed_operand_convert_enum_t | p | ) |

This converts strings to xed_operand_convert_enum_t types.

Parameters

  p | An enumeration element of type xed_operand_convert_enum_t.

Returns
  string

## ◆ xed_operand_convert_enum_t_last()

XED_DLL_EXPORT xed_operand_convert_enum_t xed_operand_convert_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_operand_convert_enum_t The last element of the enumeration.

## ◆ xed_operand_ctype_enum_t2str()

XED_DLL_EXPORT const char * xed_operand_ctype_enum_t2str | ( | const xed_operand_ctype_enum_t | p | ) |

This converts strings to xed_operand_ctype_enum_t types.

Parameters

  p | An enumeration element of type xed_operand_ctype_enum_t.

Returns
  string

## ◆ xed_operand_ctype_enum_t_last()

XED_DLL_EXPORT xed_operand_ctype_enum_t xed_operand_ctype_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_operand_ctype_enum_t The last element of the enumeration.

## ◆ xed_operand_element_type_enum_t2str()

XED_DLL_EXPORT const char * xed_operand_element_type_enum_t2str | ( | const xed_operand_element_type_enum_t | p | ) |

This converts strings to xed_operand_element_type_enum_t types.

Parameters

  p | An enumeration element of type xed_operand_element_type_enum_t.

Returns
  string

## ◆ xed_operand_element_type_enum_t_last()

XED_DLL_EXPORT xed_operand_element_type_enum_t xed_operand_element_type_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_operand_element_type_enum_t The last element of the enumeration.

## ◆ xed_operand_element_xtype_enum_t2str()

XED_DLL_EXPORT const char * xed_operand_element_xtype_enum_t2str | ( | const xed_operand_element_xtype_enum_t | p | ) |

This converts strings to xed_operand_element_xtype_enum_t types.

Parameters

  p | An enumeration element of type xed_operand_element_xtype_enum_t.

Returns
  string

## ◆ xed_operand_element_xtype_enum_t_last()

XED_DLL_EXPORT xed_operand_element_xtype_enum_t xed_operand_element_xtype_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_operand_element_xtype_enum_t The last element of the enumeration.

## ◆ xed_operand_enum_t2str()

XED_DLL_EXPORT const char * xed_operand_enum_t2str | ( | const xed_operand_enum_t | p | ) |

This converts strings to xed_operand_enum_t types.

Parameters

  p | An enumeration element of type xed_operand_enum_t.

Returns
  string

## ◆ xed_operand_enum_t_last()

XED_DLL_EXPORT xed_operand_enum_t xed_operand_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_operand_enum_t The last element of the enumeration.

## ◆ xed_operand_type_enum_t2str()

XED_DLL_EXPORT const char * xed_operand_type_enum_t2str | ( | const xed_operand_type_enum_t | p | ) |

This converts strings to xed_operand_type_enum_t types.

Parameters

  p | An enumeration element of type xed_operand_type_enum_t.

Returns
  string

## ◆ xed_operand_type_enum_t_last()

XED_DLL_EXPORT xed_operand_type_enum_t xed_operand_type_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_operand_type_enum_t The last element of the enumeration.

## ◆ xed_operand_visibility_enum_t2str()

XED_DLL_EXPORT const char * xed_operand_visibility_enum_t2str | ( | const xed_operand_visibility_enum_t | p | ) |

This converts strings to xed_operand_visibility_enum_t types.

Parameters

  p | An enumeration element of type xed_operand_visibility_enum_t.

Returns
  string

## ◆ xed_operand_visibility_enum_t_last()

XED_DLL_EXPORT xed_operand_visibility_enum_t xed_operand_visibility_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_operand_visibility_enum_t The last element of the enumeration.

## ◆ xed_operand_width_enum_t2str()

XED_DLL_EXPORT const char * xed_operand_width_enum_t2str | ( | const xed_operand_width_enum_t | p | ) |

This converts strings to xed_operand_width_enum_t types.

Parameters

  p | An enumeration element of type xed_operand_width_enum_t.

Returns
  string

## ◆ xed_operand_width_enum_t_last()

XED_DLL_EXPORT xed_operand_width_enum_t xed_operand_width_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_operand_width_enum_t The last element of the enumeration.

## ◆ xed_reg_class_enum_t2str()

XED_DLL_EXPORT const char * xed_reg_class_enum_t2str | ( | const xed_reg_class_enum_t | p | ) |

This converts strings to xed_reg_class_enum_t types.

Parameters

  p | An enumeration element of type xed_reg_class_enum_t.

Returns
  string

## ◆ xed_reg_class_enum_t_last()

XED_DLL_EXPORT xed_reg_class_enum_t xed_reg_class_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_reg_class_enum_t The last element of the enumeration.

## ◆ xed_reg_enum_t2str()

XED_DLL_EXPORT const char * xed_reg_enum_t2str | ( | const xed_reg_enum_t | p | ) |

This converts strings to xed_reg_enum_t types.

Parameters

  p | An enumeration element of type xed_reg_enum_t.

Returns
  string

## ◆ xed_reg_enum_t_last()

XED_DLL_EXPORT xed_reg_enum_t xed_reg_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_reg_enum_t The last element of the enumeration.

## ◆ xed_reg_role_enum_t2str()

XED_DLL_EXPORT const char * xed_reg_role_enum_t2str | ( | const xed_reg_role_enum_t | p | ) |

This converts strings to xed_reg_role_enum_t types.

Parameters

  p | An enumeration element of type xed_reg_role_enum_t.

Returns
  string

## ◆ xed_reg_role_enum_t_last()

XED_DLL_EXPORT xed_reg_role_enum_t xed_reg_role_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_reg_role_enum_t The last element of the enumeration.

## ◆ xed_syntax_enum_t2str()

XED_DLL_EXPORT const char * xed_syntax_enum_t2str | ( | const xed_syntax_enum_t | p | ) |

This converts strings to xed_syntax_enum_t types.

Parameters

  p | An enumeration element of type xed_syntax_enum_t.

Returns
  string

## ◆ xed_syntax_enum_t_last()

XED_DLL_EXPORT xed_syntax_enum_t xed_syntax_enum_t_last | ( | void |  | ) |

Returns the last element of the enumeration.

Returns
  xed_syntax_enum_t The last element of the enumeration.